package com.fdkankan.common.constant;

public enum RebuildResult {

    FAIL(0, "失败"),
    SUCCESS(1, "成功"),
    WAIT(2, "等待"),
    REBUILDING(3, "重算中"),
    POLLED(9, "成功且轮询过");

    private Integer code;
    private String message;

    private RebuildResult(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer code() {
        return code;
    }

    public String message() {
        return message;
    }

}
